
import java.io.*;
import java.util.*;

class ASol {
    public static void main(String[] args) throws Exception {
	BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
	
	Map scores = new HashMap();
	
	while (true) {
	    int n = Integer.parseInt(in.readLine());
	    if (n == 0) break;
	    
	    int maxScore = 0;
	    for (int i = 0; i < n; ++i) {
		StringTokenizer tok = new StringTokenizer(in.readLine());
		String name = tok.nextToken();
		int score = Integer.parseInt(tok.nextToken());
		if (i == 0) maxScore = score;

		int[] total = (int[]) scores.get(name);
		if (total == null) {
		    total = new int[] { 0 };
		    scores.put(name, total);
		}
		if (maxScore != 0) {
		    total[0] += score * 100 / maxScore;
		}
	    }
	}

	List sorted = new ArrayList();
	for (Iterator it = scores.entrySet().iterator(); it.hasNext(); ) {
	    Map.Entry entry = (Map.Entry) it.next();
	    int[] total = (int[]) entry.getValue();
	    sorted.add(new Comparable[] { (Comparable) entry.getKey(), new Integer(total[0]) });
	}

	Collections.sort(sorted, new Comparator() {
		public int compare(Object a, Object b) {
		    Comparable[] as = (Comparable[]) a;
		    Comparable[] bs = (Comparable[]) b;
		    int x = as[1].compareTo(bs[1]);
		    if (x != 0) return -x;
		    return as[0].compareTo(bs[0]);
		}
	    });
	for (Iterator it = sorted.iterator(); it.hasNext(); ) {
	    Object[] as = (Object[]) it.next();
	    System.out.println(as[0] + " " + as[1]);
	}
    }
}
